document.addEventListener('DOMContentLoaded', function() {
    // Animate balance number on load
    const balanceElement = document.getElementById('balance');
    const targetBalance = 50000;
    let currentBalance = 0;
    
    const balanceAnimation = setInterval(() => {
        currentBalance += 1000;
        balanceElement.textContent = currentBalance.toLocaleString('ar-SA') + ' ريال';
        
        if (currentBalance >= targetBalance) {
            clearInterval(balanceAnimation);
        }
    }, 50);

    // Add hover effect to trade items
    const tradeItems = document.querySelectorAll('.trade-item');
    tradeItems.forEach(item => {
        item.addEventListener('mouseenter', () => {
            item.style.transform = 'translateX(-5px)';
            item.style.transition = 'transform 0.3s ease';
        });
        
        item.addEventListener('mouseleave', () => {
            item.style.transform = 'translateX(0)';
        });
    });
});
